cpw.mods.fml.common.network

## Class FMLNetworkEvent<T extends INetHandler>

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.network.FMLNetworkEvent<T>

- Direct Known Subclasses:
    FMLNetworkEvent.ClientConnectedToServerEvent, FMLNetworkEvent.ClientDisconnectionFromServerEvent, FMLNetworkEvent.CustomPacketEvent, FMLNetworkEvent.CustomPacketRegistrationEvent, FMLNetworkEvent.ServerConnectionFromClientEvent, FMLNetworkEvent.ServerDisconnectionFromClientEvent

      public class FMLNetworkEvent<T extends INetHandler>
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FMLNetworkEvent.ClientConnectedToServerEvent` Fired at the client when a client connects to a server
    `static class` | `FMLNetworkEvent.ClientCustomPacketEvent` Fired when a custom packet is received on the client for the channel
    `static class` | `FMLNetworkEvent.ClientDisconnectionFromServerEvent` Fired at the client when the client is disconnected from the server.
    `static class` | `FMLNetworkEvent.CustomNetworkEvent` Fired when a custom event, such as `NetworkHandshakeEstablished` is fired for the channel
    `static class` | `FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>`
    `static class` | `FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>` Fired when the REGISTER/UNREGISTER for custom channels is received.
    `static class` | `FMLNetworkEvent.ServerConnectionFromClientEvent` Fired at the server when a client connects to the server.
    `static class` | `FMLNetworkEvent.ServerCustomPacketEvent` Fired when a custom packet is received at the server for the channel
    `static class` | `FMLNetworkEvent.ServerDisconnectionFromClientEvent` Fired at the server when a client disconnects.

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T` | `handler`
    `NetworkManager` | `manager`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### handler

          public final T extends INetHandler handler

    - #### manager

          public final NetworkManager manager